### Name: paleoTSalt-package
### Title: Fitting models of evolution to paleontological time-series of
###   phenotypic data
### Aliases: paleoTSalt-package paleoTSalt
### Keywords: package

### ** Examples

data(dorsal.spines)

# get subset of samples from invading lineage (tt>=4.5 Kyr), only those with nn>=5
ok<- dorsal.spines$tt >= 4.5 & dorsal.spines$nn >=5
ds2<- sub.paleoTS(dorsal.spines, ok=ok)

# convert time scale to generations (500 gen per Kyr)
ds2$tt<- ds2$tt*(1000/2)        
plot(ds2, pool=TRUE)

# compare URW (drift) and OU (adaptive) models
m.urw<- opt.alt.URW(ds2, pool=TRUE)
m.ou<- opt.alt.OU(ds2, pool=TRUE)
cat ("Model","logL", "AICc\n", sep="\t")
cat ("URW", round(m.urw$val, 2), round(m.urw$AICc, 2), sep="\t")
cat ("\nOU", round(m.ou$val, 2), round(m.ou$AICc, 2), sep="\t")
add.OU.curves(m.ou, ds2, col="grey")



